include ../../Makefile.in
default: create

LIBS = -lripdf -lripsq -lripco -lrippr -lmysqlclient `glib-config --libs`
INCDIRS = -I/usr/local/mysql/include

defs: $(DEFS)
	cd ../../defs; $(MAKE); cd ../bin/rip

modules: $(MODULES)
	cd ../../modules; $(MAKE); cd ../bin/rip

create: $(SOURCES) $(HEADERS) defs modules
	$(CC) -c $(CFLAGS) create.c $(INCDIRS)
	$(CC) $(LFLAGS) -o create create.o $(LIBS) $(OPTS)

clean:
	${RM} core *.o create

